Subject: RE: bug#31634: emacs 26.1 Compilation error and fix on Solaris 10

From: "Christian Jullien" <[email-masked]>
Date: Tue, 29 May 2018 15:16:32 +0200

I compile around 100 different open source packages (mostly GNU) for more
than 10 year on Solaris and this is the very first time I see version
'SUNW_1.1' not found (required)' with a shared lib.
I'm trying emacs without libxml2 to see what happens

-----Original Message-----
From: Robert Pluim [mailto:[email-masked]] 
Sent: mardi 29 mai 2018 14:55
To: Christian Jullien
Cc: 'Andreas Schwab'; [email-masked]
Subject: Re: bug#31634: emacs 26.1 Compilation error and fix on Solaris 10

"Christian Jullien" <[email-masked]> writes:

> Thanks, this patch works and you can close the bug report.
>

OK. Eli, for master I presume?

> I'm facing other issues like:
> ld.so.1: temacs: fatal: libxml2.so.2: version 'SUNW_1.1' not found
(required
> by file temacs)

That sounds like ld is finding a different library version from the
headers used to compile emacs. That shouldn't happen, so it might be
another configure bug.

Regards

Robert